Сайт | Скачать | Видео | Wiki

Автор Тема: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade  (Прочитано 35190 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн yxma

  • Истина - абсолютна. Но не в линуксе )))
  • Ветеран
  • *****
  • Сообщений: 1635
  • Репутация: +9/-0
  • конченый виндеец, местный сумасшедший 8) 8) 8)
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #120 : 07 Февраль 2021, 17:05:05 »
Короче, повозившись с опеншотом и kdenlive в итоге пришел к последнему. Раньше он вроде бы был в ПРА, но сейчас у меня ЛФД основным работает. И чтобы попользоваться приходится запускать рунту, на котором она есть. В этой теме нашел ссылку на модуль, но он потребовал зависимых, которых в репе не оказалось. Какие действия считаете наиболее продуктивными - найти из которой версии выдернут модуль со своими зависимостями, установить эту ОС и работать или найти зависимые модули и попробовать запустить в ЛФД "не свою" программу?
успехов в труде и счастья в личной жизни!

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 31851
  • Репутация: +208/-0
    • PuppyRus-A
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #121 : 08 Февраль 2021, 10:09:44 »
https://packages.debian.org/search?keywords=kdenlive&searchon=names&suite=stable&section=all
Подключить 030-qt5. Скорее всего его придется пересобрать из репы деб
Код
sudo repo2pfs kdenlive
« Последнее редактирование: 08 Февраль 2021, 10:11:31 от sfs »

Оффлайн yxma

  • Истина - абсолютна. Но не в линуксе )))
  • Ветеран
  • *****
  • Сообщений: 1635
  • Репутация: +9/-0
  • конченый виндеец, местный сумасшедший 8) 8) 8)
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #122 : 09 Февраль 2021, 00:27:16 »
sudo repo2pfs kdenlive
попробовал, кидануло:
Цитата
W: В системе нет пользователя «_apt» для песочницы, невозможно сбросить права
N: Репозиторий «http://mirror.yandex.ru/debian buster InRelease» изменил значение поля «Version» с «10.4» на «10.8»
Чтение списков пакетов… Готово
Построение дерева зависимостей… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
 kdenlive : Зависит: kio но он не будет установлен
            Зависит: libkf5auth5 (>= 4.96.0) но он не будет установлен
            Зависит: libkf5bookmarks5 (>= 4.96.0) но он не будет установлен
            Зависит: libkf5configwidgets5 (>= 5.25.0) но он не будет установлен
            Зависит: libkf5iconthemes5 (>= 5.25.0) но он не будет установлен
            Зависит: libkf5kiocore5 (>= 4.96.0) но он не будет установлен
            Зависит: libkf5kiofilewidgets5 (>= 4.96.0) но он не будет установлен
            Зависит: libkf5kiowidgets5 (>= 5.35.0) но он не будет установлен
            Зависит: libkf5newstuff5 (>= 4.95.0) но он не будет установлен
            Зависит: libkf5newstuffcore5 (>= 5.54.0) но он не будет установлен
            Зависит: libkf5notifyconfig5 (>= 4.96.0) но он не будет установлен
            Зависит: libkf5textwidgets5 (>= 5.0.0) но он не будет установлен
            Зависит: libkf5xmlgui5 (>= 4.98.0) но он не будет установлен
            Зависит: kinit но он не будет установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.
так то я бы надергал недостающие пакеты, было бы откуда, но внятно пояснила, что устанавливать не будет. Довольно таки жаль. Хотя в репе есть опеншот, на худой конец можно и им пользоваться. Но я бы еще подергался, если бы знал куда. )))
успехов в труде и счастья в личной жизни!

Оффлайн yxma

  • Истина - абсолютна. Но не в линуксе )))
  • Ветеран
  • *****
  • Сообщений: 1635
  • Репутация: +9/-0
  • конченый виндеец, местный сумасшедший 8) 8) 8)
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #123 : 09 Февраль 2021, 01:31:48 »
Зато я запросто перепаковал SimpleScreenRecorder! Проверил - работает. Хотя самых ходовых кодеков у него почему-то нет, но, думаю, кому будет уж очень нужно - можно и добавить. Ведь это не в самой программе, а в системе, как я понимаю. Главное, что программа честно пишет рядом с отсутствующим кодеком или чем другим, чего нет - того нет.
если нужно, могу куда-нибудь сбросить - а вдруг кому надо?
успехов в труде и счастья в личной жизни!

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 31851
  • Репутация: +208/-0
    • PuppyRus-A
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #124 : 09 Февраль 2021, 09:40:13 »
lfd ddr - наиболее неудобные дистры для сборки сложных прог. Если нужно что-то больше , чем запуск имеющихся портированных модулей -  прар2008. Он же самый свежий по пакетам
Т.к. в kdeline много qt пакетов - лучше отключить мой 030-qt5 (без icu) и собрать вместе с qt из репы или сначала из репы 030-qt5 (по списку пакетов моего). Потом подключить его и собрать остальное

Оффлайн yxma

  • Истина - абсолютна. Но не в линуксе )))
  • Ветеран
  • *****
  • Сообщений: 1635
  • Репутация: +9/-0
  • конченый виндеец, местный сумасшедший 8) 8) 8)
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #125 : 09 Февраль 2021, 22:53:46 »
Если нужно что-то больше , чем запуск имеющихся портированных модулей -  прар2008
понятно. Мой любимый способ - если что-то не запускается в основной ОС - грузи ту, в которой это работает. Ща втисну прар если он так же как остальное устанавливается.
успехов в труде и счастья в личной жизни!

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 31851
  • Репутация: +208/-0
    • PuppyRus-A
Re: Видеоредакторы : Avidemux ; vidcutter ; kdenlive; Olive ; FlowBlade
« Ответ #126 : 17 Ноябрь 2021, 15:22:33 »
Cinelerra-GG portable
В prar2110 запустилась без проблем. Есть смысл делать модуль?